Skip to main content

Transaction Refunds

GET/rest/transactions/{transaction_id}/refunds

Use this endpoint to retrieve refunds for the requested transaction. Some attributes are only included if they were defined when creating the refund, such as merchant_refund_id and merchant_reference.

note

Depending on the payment processor, the refunds may include extra attributes that only apply to the particular payment processor. For instance, in the case of Wero payments, a refund may include reason_code (in case of errors), remittance_info or wallet_activity_reference.

Query Parameters

transaction_idStringrequired
ID of the transaction whose refunds you want to retrieve. Appended to the URL path
Example Request
GET /rest/transactions/07c8b0a4-186f-4b56-a929-17d13b29c695/refunds
Authorization: Basic <base64(api_key:api_password)>

Transaction Refunds Response

created_atString
Timestamp when the refund was created (ISO-8601)
refund_idString
ID of the refund object
amountFloat
Amount of the refund
status_codeInteger
Status code of the refund (0 Started, 1 Success, 2 Error)
statusString
Status of the refund
merchant_referenceString
Merchant reference, if provided when creating the refund
Example Response
[
{
"created_at": "2026-04-30T11:25:38.982+02:00",
"refund_id": "2da779fd-fe0a-44c2-8cbc-0a40d5bae89a",
"amount": 2,
"status_code": 1,
"status": "successful"
},
{
"created_at": "2026-04-30T11:26:02.575+02:00",
"refund_id": "88c0185f-2703-4757-8f70-948cc58901c4",
"amount": 3.95,
"status_code": 1,
"status": "successful",
"merchant_reference": "abc123"
}
]